Skip to main content
`Ctrl`+`K`

# SNESMonitorDefault

Monitors progress of a `SNESSolve()` (default).

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorDefault(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - the `SNES` context

- its - iteration number

- fgnorm - 2-norm of residual

- vf - viewer and format structure

## Options Database Key

- -snes_monitor - use this function to monitor the convergence of the nonlinear solver

## Notes

Prints the residual norm at each iteration.

This is not called directly by users, rather one calls `SNESMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SNES` solve.

## See Also

SNES: Nonlinear Solvers, `SNESMonitorSet()`, `SNESMonitorSolution()`, `SNESMonitorFunction()`, `SNESMonitorResidual()`, `SNESMonitorSolutionUpdate()`, `SNESMonitorScaling()`, `SNESMonitorRange()`, `SNESMonitorRatio()`, `SNESMonitorDefaultField()`, `PetscViewerFormat`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages